Bug 1404431 - provisioning instance fail: FATAL -- : Error caught: [NoMethodError] undefined method `[]' for nil:NilClass
Summary: provisioning instance fail: FATAL -- : Error caught: [NoMethodError] undefin...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: GA
: 5.7.1
Assignee: Brandon Dunne
QA Contact: Dave Johnson
URL:
Whiteboard: openstack
Depends On: 1384506
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-13 20:40 UTC by Satoe Imaishi
Modified: 2017-02-27 19:15 UTC (History)
9 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1384506
Environment:
Last Closed: 2017-02-27 19:15:04 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-09 15:15:55 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/42444ee186cd5fa36d9b7e74e96fa9120cbf5737

commit 42444ee186cd5fa36d9b7e74e96fa9120cbf5737
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Mon Nov 28 18:15:36 2016 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jan 9 10:11:52 2017 -0500

    Merge pull request #12783 from bdunne/source_size_on_disk_is_nil
    
    Ensure size_on_disk is an integer
    (cherry picked from commit 3aff198078ec0ac27efd2f608103a028296a2065)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1404431

 .../openstack/cloud_manager/provision_workflow.rb  |  2 +-
 .../cloud_manager/provision_workflow_spec.rb       | 29 ++++++++++++++++------
 2 files changed, 23 insertions(+), 8 deletions(-)

Comment 3 Ronnie Rasouli 2017-01-26 08:48:22 UTC
 5.7.1.0 created instance

Comment 4 errata-xmlrpc 2017-02-27 19:15:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.